-- --------------------------------------------------------
-- Host:                         localhost
-- Server version:               5.6.17 - MySQL Community Server (GPL)
-- Server OS:                    Win64
-- HeidiSQL Version:             8.3.0.4694
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- Dumping database structure for entryform
CREATE DATABASE IF NOT EXISTS `entryform` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `entryform`;


-- Dumping structure for table entryform.choices
CREATE TABLE IF NOT EXISTS `choices` (
  `choice_id` int(11) NOT NULL AUTO_INCREMENT,
  `survey_code` varchar(50) NOT NULL,
  `choices` varchar(50) DEFAULT NULL,
  `c_num` int(11) DEFAULT NULL,
  PRIMARY KEY (`choice_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table entryform.code
CREATE TABLE IF NOT EXISTS `code` (
  `survey_code` varchar(50) NOT NULL,
  `survey_name` varchar(50) DEFAULT NULL,
  `survey_desc` varchar(50) DEFAULT NULL,
  `survey_date` varchar(50) DEFAULT NULL,
  `status` varchar(50) DEFAULT '0',
  PRIMARY KEY (`survey_code`),
  UNIQUE KEY `code` (`survey_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table entryform.comments
CREATE TABLE IF NOT EXISTS `comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `survey_code` varchar(50) DEFAULT NULL,
  `stu_id` varchar(50) DEFAULT NULL,
  `comment` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table entryform.course
CREATE TABLE IF NOT EXISTS `course` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `course` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `course` (`course`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table entryform.faculty
CREATE TABLE IF NOT EXISTS `faculty` (
  `stu_id` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `pass` varchar(50) DEFAULT NULL,
  `gender` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`stu_id`),
  UNIQUE KEY `stu_id` (`stu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.


-- Dumping structure for table entryform.likertlist
CREATE TABLE IF NOT EXISTS `likertlist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `list` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table entryform.likertname
CREATE TABLE IF NOT EXISTS `likertname` (
  `name` varchar(200) NOT NULL,
  PRIMARY KEY (`name`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table entryform.loginapp
CREATE TABLE IF NOT EXISTS `loginapp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `survey_code` varchar(50) DEFAULT NULL,
  `stu_id` varchar(50) NOT NULL,
  `comment` varchar(500) DEFAULT NULL,
  `flag` int(11) DEFAULT '0',
  `pass` varchar(50) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `FK_loginapp_code` (`survey_code`),
  CONSTRAINT `FK_loginapp_code` FOREIGN KEY (`survey_code`) REFERENCES `code` (`survey_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table entryform.loginsys
CREATE TABLE IF NOT EXISTS `loginsys` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table entryform.major
CREATE TABLE IF NOT EXISTS `major` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `course` varchar(100) DEFAULT NULL,
  `major` varchar(100) DEFAULT 'None',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table entryform.mccallslist
CREATE TABLE IF NOT EXISTS `mccallslist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(1000) DEFAULT 'a',
  `quest` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table entryform.mccallsname
CREATE TABLE IF NOT EXISTS `mccallsname` (
  `name` varchar(200) NOT NULL,
  PRIMARY KEY (`name`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table entryform.question
CREATE TABLE IF NOT EXISTS `question` (
  `q_id` int(11) NOT NULL AUTO_INCREMENT,
  `survey_code` varchar(50) NOT NULL,
  `question` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`q_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table entryform.result
CREATE TABLE IF NOT EXISTS `result` (
  `r_id` int(11) NOT NULL AUTO_INCREMENT,
  `stu_id` varchar(50),
  `survey_code` varchar(50) DEFAULT NULL,
  `q_id` varchar(50) DEFAULT NULL,
  `choosed` varchar(50) DEFAULT NULL,
  `flag` varchar(50) DEFAULT NULL,
  `mean` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`r_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table entryform.voters
CREATE TABLE IF NOT EXISTS `voters` (
  `stu_id` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `pass` varchar(50) DEFAULT NULL,
  `gender` varchar(50) DEFAULT NULL,
  `course` varchar(50) NOT NULL,
  `major` varchar(50) DEFAULT NULL,
  `year` varchar(50) NOT NULL,
  `section` int(11) DEFAULT NULL,
  PRIMARY KEY (`stu_id`),
  UNIQUE KEY `stu_id` (`stu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
